#ifndef INCLUDED_THEBIASPLANET_UNODATUMTYPES_TESTS_TESTUNOSERVICE_HPP
#define INCLUDED_THEBIASPLANET_UNODATUMTYPES_TESTS_TESTUNOSERVICE_HPP

#include "sal/config.h"

#include <cassert>

#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/uno/DeploymentException.hpp"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "theBiasPlanet/unoDatumTypes/tests/XTest.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.hxx"
#include "cppu/unotype.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"

#if defined ANDROID || defined IOS //TODO
#include <com/sun/star/lang/XInitialization.hpp>
#include <osl/detail/component-defines.h>
#endif

#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService
extern "C" ::css::uno::XInterface * SAL_CALL LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService(::css::uno::XComponentContext *, ::css::uno::Sequence< ::css::uno::Any > const &);
#endif

namespace theBiasPlanet { namespace unoDatumTypes { namespace tests {

class TestUnoService {
public:
    static ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::tests::XTest > create1(::css::uno::Reference< ::css::uno::XComponentContext > const & the_context, const ::rtl::OUString& a_message) {
        assert(the_context.is());
        ::css::uno::Sequence< ::css::uno::Any > the_arguments(1);
        the_arguments[0] <<= a_message;
        ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::tests::XTest > the_instance;
        try {
#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::tests::XTest >(::css::uno::Reference< ::css::uno::XInterface >(static_cast< ::css::uno::XInterface * >((*LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_tests_dot_TestUnoService)(the_context.get(), the_arguments)), ::SAL_NO_ACQUIRE), ::css::uno::UNO_QUERY);
            ::css::uno::Reference< ::css::lang::XInitialization > init(the_instance, ::css::uno::UNO_QUERY);
            if (init.is()) {
                init->initialize(the_arguments);
            }
#else
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::tests::XTest >(the_context->getServiceManager()->createInstanceWithArgumentsAndContext( "theBiasPlanet.unoDatumTypes.tests.TestUnoService", the_arguments, the_context), ::css::uno::UNO_QUERY);
#endif
        } catch (const ::css::uno::RuntimeException &) {
            throw;
        } catch (const ::css::uno::Exception & the_exception) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.tests.TestUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.tests.XTest" + ": " + the_exception.Message, the_context);
        }
        if (!the_instance.is()) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.tests.TestUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.tests.XTest", the_context);
        }
        return the_instance;
    }

private:
    TestUnoService(); // not implemented
    TestUnoService(TestUnoService &); // not implemented
    ~TestUnoService(); // not implemented
    void operator =(TestUnoService); // not implemented
};

} } }

#endif // INCLUDED_THEBIASPLANET_UNODATUMTYPES_TESTS_TESTUNOSERVICE_HPP
