#ifndef __theBiasPlanet_unoUtilities_connectionsHandling_UnoConnectionsFactory_hpp__
	#define __theBiasPlanet_unoUtilities_connectionsHandling_UnoConnectionsFactory_hpp__
	
	#include <list>
	#include <string>
	#include <com/sun/star/bridge/XBridgeFactory.hpp>
	#include <com/sun/star/connection/XConnection.hpp>
	#include "theBiasPlanet/coreUtilities/stringsHandling/StringTokenizer.hpp"
	#include "theBiasPlanet/unoUtilities/connection/UnoConnection.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContext/LocalUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::bridge;
	using namespace ::com::sun::star::connection;
	using namespace ::theBiasPlanet::coreUtilities::stringsHandling;
	using namespace ::theBiasPlanet::unoUtilities::connection;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContext;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace connectionsHandling {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoConnectionsFactory {
					protected:
						UnoObjectPointer <LocalUnoObjectsContext> & i_localUnoObjectsContext;
						UnoObjectPointer <XBridgeFactory> i_unoBridgesFactory; // 'this' is the owner.
						UnoConnectionsFactory (UnoObjectPointer <LocalUnoObjectsContext> & a_localUnoObjectsContext);
						virtual ~UnoConnectionsFactory ();
						virtual void initialize () final;
						virtual UnoObjectPointer <UnoConnection> const setUpUnoConnection (UnoObjectPointer <XConnection> & a_unoConnection, StringTokenizer * const a_urlTokenizer, string const & a_unoConnectionIdentification, optional <list <UnoConnection::UnoConnectionEventsListener *>> const & a_eventsListeners) final;
				};
			}
		}
	}
#endif

