#ifndef __theBiasPlanet_unoUtilities_dispatchingHandling_UnoDispatchResultAndRelatedInformation_hpp__
	#define __theBiasPlanet_unoUtilities_dispatchingHandling_UnoDispatchResultAndRelatedInformation_hpp__
	
	#include <list>
	#include <string>
	#include <com/sun/star/frame/DispatchResultEvent.hpp>
	#include <com/sun/star/frame/FeatureStateEvent.hpp>
	#include <com/sun/star/uno/Any.h>
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::uno;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace dispatchingHandling {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoDispatchResultAndRelatedInformation {
					private:
						short i_finalStatus; // 'this' is the owner.
						Any i_result; // 'this' is the owner.
						list <Any> i_relatedInformation; // 'this' is the owner.
					public:
						UnoDispatchResultAndRelatedInformation ();
						virtual ~UnoDispatchResultAndRelatedInformation ();
						virtual Any getResult ();
						virtual void setResult (DispatchResultEvent const & a_resultEvent);
						virtual list <Any> getRelatedInformation ();
						virtual void addRelatedInformationPiece (FeatureStateEvent const & a_relatedInformationPieceEvent);
						virtual string toString ();
				};
			}
		}
	}
#endif

