#ifndef __theBiasPlanet_unoUtilities_documents_UnoDocument_hpp__
	#define __theBiasPlanet_unoUtilities_documents_UnoDocument_hpp__
	
	#include <list>
	#include <optional>
	#include <string>
	#include <com/sun/star/beans/PropertyValue.hpp>
	#include <com/sun/star/document/XDocumentEventBroadcaster.hpp>
	#include <com/sun/star/document/XDocumentEventListener.hpp>
	#include <com/sun/star/document/XEventBroadcaster.hpp>
	#include <com/sun/star/document/XEventListener.hpp>
	#include <com/sun/star/frame/FeatureStateEvent.hpp>
	#include <com/sun/star/frame/XController.hpp>
	#include <com/sun/star/frame/XDispatchProvider.hpp>
	#include <com/sun/star/frame/XDispatchResultListener.hpp>
	#include <com/sun/star/frame/XFrame.hpp>
	#include <com/sun/star/frame/XNotifyingDispatch.hpp>
	#include <com/sun/star/lang/XComponent.hpp>
	#include <com/sun/star/lang/EventObject.hpp>
	#include <com/sun/star/script/provider/XScriptProvider.hpp>
	#include <com/sun/star/uno/Any.h>
	#include <com/sun/star/util/URL.hpp>
	#include <cppuhelper/compbase2.hxx>
	#include "theBiasPlanet/unoUtilities/constantsGroups/UnoDispatchSlotsConstantsGroup.hpp"
	#include "theBiasPlanet/unoUtilities/dispatchingHandling/UnoDispatchResultAndRelatedInformation.hpp"
	#include "theBiasPlanet/unoUtilities/displayElements/UnoDesktop.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContext/RemoteUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::beans;
	using namespace ::com::sun::star::document;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::lang;
	using namespace ::com::sun::star::script::provider;
	using namespace ::com::sun::star::uno;
	using namespace ::com::sun::star::util;
	using namespace ::cppu;
	using namespace ::theBiasPlanet::unoUtilities::constantsGroups;
	using namespace ::theBiasPlanet::unoUtilities::dispatchingHandling;
	using namespace ::theBiasPlanet::unoUtilities::displayElements;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContext;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace documents {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoDocument {
					protected:
						UnoObjectPointer <RemoteUnoObjectsContext> & i_remoteUnoObjectsContext;
						UnoObjectPointer <XModel> i_underlyingUnoObject; // 'this' is the owner.
						UnoObjectPointer <XController> i_unoController; // 'this' is the owner.
						UnoObjectPointer <UnoFrame> i_unoFrame; // 'this' is the owner.
						UnoObjectPointer <XScriptProvider> i_macrosProvider;
					public:
						static UnoDocument openDocumentFile (UnoObjectPointer <UnoDesktop> & a_unoDesktop, string const & a_fileUrl, optional <string> const & a_password, bool const & a_unoDocumentIsHidden);
						static UnoDocument getCurrentDocument (UnoObjectPointer <UnoDesktop> & a_unoDesktop);
						UnoDocument (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext, UnoObjectPointer <XModel> const & a_underlyingUnoObject);
						virtual ~UnoDocument ();
						virtual UnoObjectPointer <RemoteUnoObjectsContext> & getRemoteUnoObjectsContext ();
						virtual UnoObjectPointer <XModel> & getUnderlyingUnoObject ();
						virtual UnoObjectPointer <UnoFrame> & getUnoFrame ();
						virtual void store ();
						virtual void storeAtUrl (string const & a_fileUrl);
						//virtual void storeAtUrl (string const & a_fileUrl, string const & a_filterName, Object a_filterData);
						virtual string getUrl ();
						virtual void close ();
						//virtual Object invokeMacro (String a_macroProgrammingLanguageName, String a_macroPathString, Object [] a_macroArgumentsArray, short [] [] a_macroOutputArgumentIndexesArray, Object [] [] a_macroOutputArgumentsArray) throws Exception {
				};
			}
		}
	}
#endif

