#ifndef __theBiasPlanet_unoUtilities_documents_spreadSheetsDocumentsHandling_UnoSpreadSheetsDocument_hpp__
	#define __theBiasPlanet_unoUtilities_documents_spreadSheetsDocumentsHandling_UnoSpreadSheetsDocument_hpp__
	
	#include "com/sun/star/sheet/XSpreadsheetDocument.hpp"
	#include "theBiasPlanet/unoUtilities/documents/UnoDocument.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::com::sun::star::sheet;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace documents {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoSpreadSheetsDocument : public UnoDocument {
					private:
						UnoObjectPointer <XSpreadsheetDocument> i_spreadSheetsDocument; // 'this' is the owner.
					public:
						static UnoSpreadSheetsDocument createDocument (UnoObjectPointer <UnoDesktop> & a_unoDesktop, bool const & a_unoDocumentIsHidden);
						static UnoSpreadSheetsDocument openFile (UnoObjectPointer <UnoDesktop> & a_unoDesktop, string const & a_fileUrl, optional <string> const & a_password, bool const & a_unoDocumentIsHidden);
						static UnoSpreadSheetsDocument getCurrentDocument (UnoObjectPointer <UnoDesktop> & a_unoDesktop);
						UnoSpreadSheetsDocument (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext, UnoObjectPointer <XModel> && a_spreadSheetsDocument);
				};
			}
		}
	}
#endif

