namespace theBiasPlanet {
	namespace unoUtilities {
		namespace constantsGroups {
			namespace propertyNamesSets {
				using System;
				using theBiasPlanet.coreUtilities.constantsGroups;
				
				public class UnoSpreadSheetPageStylePropertyNamesSet : UnoPropertyNamesSet {
					public const String c_rowHeadersAndColumnHeadersArePrinted_boolean = "PrintHeaders";
					public const String c_gridIsPrinted_boolean = "PrintGrid"; 
					public const String c_zerosArePrinted_boolean = "PrintZeroValues";
					public const String c_auxiliaryObjectsArePrinted_boolean = "PrintObjects";
					public const String c_formulaeArePrinted_boolean = "PrintFormulas"; 
					public const String c_chartsArePrinted_boolean = "PrintCharts"; 
					public const String c_shapesArePrinted_boolean = "PrintDrawing";
					public const String c_commentsArePrinted_boolean = "PrintAnnotations";
					public const String c_pagesArePrintedDownwardFirst_boolean = "PrintDownFirst";
					public const String c_firstPageNumber_short = "FirstPageNumber";
					public const String c_pageScale_short = "PageScale";
					public const String c_numberOfPagesForPrintToFitIn_short ="ScaleToPages";
					public const String c_horizontalNumberOfPagesForPrintToFitIn_short = "ScaleToPagesX";
					public const String c_verticalNumberOfPagesForPrintToFitIn_short  = "ScaleToPagesY";
					public const String c_contentsAreCenteredHorizontally_boolean = "CenterHorizontally";
					public const String c_contentsAreCenteredVertically_boolean = "CenterVertically";
					public const String c_pageBackgroundIsTransparent_duplicate_boolean = "IsBackgroundTransparent";
					public const String c_pageBackgroundColor_duplicate_com_sun_star_util_Color = "BackgroundColor";
					public const String c_pageHeaderIsPrinted_duplicate_boolean = "HeaderOn";
					public const String c_pageHeaderIsSharedAmongLefPagesAndRightPages_duplicate_boolean = "HeaderShared";
					public const String c_leftPageHeaderContents_com_sun_star_sheet_XHeaderFooterContent = "LeftPageHeaderContent";
					public const String c_rightPageHeaderContents_com_sun_star_sheet_XHeaderFooterContent = "RightPageHeaderContent";
					public const String c_pageHeaderHeightIsChangedImplicitly_duplicate_boolean = "HeaderDynamic";
					public const String c_pageHeaderBackgroundIsTransparent_duplicate_boolean = "TransparentHeaderBackground";
					public const String c_pageHeaderBackgroundColor_duplicate_com_sun_star_util_Color = "HeaderBackgroundColor";
					public const String c_pageFooterIsPrinted_duplicate_boolean = "FooterOn";
					public const String c_pageFooterIsSharedAmongLeftPagesAndRightPages_duplicate_boolean = "FooterShared";
					public const String c_leftPageFooterContents_com_sun_star_sheet_XHeaderFooterContent = "LeftPageFooterContent";
					public const String c_rightPageFooterContents_com_sun_star_sheet_XHeaderFooterContent = "RightPageFooterContent";
					public const String c_pageFooterHeightChangesImplicitly_duplicate_boolean = "FooterDynamic";
					public const String c_pageFooterBackgroundIsTransparent_duplicate_boolean = "TransparentFooterBackground";
					public const String c_pageFooterBackgroundColor_duplicate_com_sun_star_util_Color = "FooterBackgroundColor";
				}
			}
		}
	}
}

