namespace theBiasPlanet {
	namespace unoUtilities {
		namespace processesHandling {
			using System;
			using uno;
			using uno.util;
			using unoidl.com.sun.star.lang;
			using unoidl.com.sun.star.uno;
			using theBiasPlanet.unoUtilities.connectionsHandling;
			using theBiasPlanet.unoUtilities.constantsGroups;
			using theBiasPlanet.unoUtilities.constantsGroups.propertyNamesSets;
			using theBiasPlanet.unoUtilities.unoObjectsContexts;
			
			public class UnoProcessEnvironment {
				private LocalUnoObjectsContext i_localObjectsContext;
				
				public UnoProcessEnvironment (String a_unoConnectionIdentification, String a_globalUnoServiceInstancesFactoriesConfigurationFileUrl) {
					try {
						i_localObjectsContext = new LocalUnoObjectsContext (Bootstrap.defaultBootstrap_InitialComponentContext (), a_unoConnectionIdentification);
					}
					catch (System.Exception l_exception) {
						throw new unoidl.com.sun.star.uno.Exception (String.Format ("{0} {1}", UnoMessagesConstantsGroup.c_unoObjectsContextNotCreated,  l_exception.ToString ()), null);
					}
				}
				
				public LocalUnoObjectsContext getLocalObjectsContext () {
					return i_localObjectsContext;
				}
			}
		}
	}
}

