namespace theBiasPlanet {
	namespace unoUtilities {
		namespace unoDataHandling {
			using System;
			using System.Collections.Generic;
			using System.Text.RegularExpressions;
			using theBiasPlanet.coreUtilities.stringsHandling;
			using theBiasPlanet.unoUtilities.constantsGroups;
			using theBiasPlanet.unoUtilities.pointers;
			
			public class UnoDatumConverter {
				public static Object getObject (Object a_originalObject) {
					if (a_originalObject == null) {
						return null;
					}
					else {
						if (a_originalObject is uno.Any) {
							return ( (uno.Any) a_originalObject).Value;
						}
						else {
							return a_originalObject;
						}
					}
				}
				
				public static uno.Any getAny (Object a_originalObject) {
					return a_originalObject != null ? new uno.Any (a_originalObject.GetType (), a_originalObject): new uno.Any ();
				}
				
				public static uno.Any getAny (Object a_originalObject, Type a_datumType) {
					return a_originalObject != null ? new uno.Any (a_datumType, a_originalObject): new uno.Any ();
				}
				
				public static List <UnoObjectPointer <T>> getUnoObjects <T> (T [] a_unoProxiesArray) where T: class {
					if (a_unoProxiesArray == null) {
						return null;
					}
					List <UnoObjectPointer <T>> l_unoObjects = new List <UnoObjectPointer <T>> ();
					foreach (T l_unoProxy in a_unoProxiesArray) {
						l_unoObjects.Add (new UnoObjectPointer <T> (l_unoProxy));
					}
					return l_unoObjects;
				}
				
				public static unoidl.com.sun.star.util.URL getUrlInURL (String a_url) {
					unoidl.com.sun.star.util.URL l_urlInURL = new unoidl.com.sun.star.util.URL ();
					l_urlInURL.Complete = a_url;
					l_urlInURL.Main = a_url;
					MatchCollection l_regularExpressionMatches = UnoRegularExpressionsConstantsGroup.c_urlRegularExpression.Matches (a_url);
					foreach (Match l_regularExpressionMatch in l_regularExpressionMatches) {
						l_urlInURL.Protocol = l_regularExpressionMatch.Groups [1].Value;
						l_urlInURL.User = "";
						l_urlInURL.Password = "";
						l_urlInURL.Server = "";
						l_urlInURL.Port = 0;
						l_urlInURL.Path = l_regularExpressionMatch.Groups [2].Value;
						l_urlInURL.Name = "";
						l_urlInURL.Arguments = "";
						l_urlInURL.Mark = "";
						break;
					}
					return l_urlInURL;
				}
			}
		}
	}
}

