#ifndef INCLUDED_THEBIASPLANET_UNODATUMTYPES_SPREADSHEETCELLEDITOR_SPREADSHEETCELLEDITORUNOSERVICE_HPP
#define INCLUDED_THEBIASPLANET_UNODATUMTYPES_SPREADSHEETCELLEDITOR_SPREADSHEETCELLEDITORUNOSERVICE_HPP

#include "sal/config.h"

#include <cassert>

#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/uno/DeploymentException.hpp"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/RuntimeException.hpp"
#include "com/sun/star/uno/XComponentContext.hpp"
#include "theBiasPlanet/unoDatumTypes/spreadSheetCellEditor/XSpreadSheetCellEditor.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.hxx"
#include "cppu/unotype.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"

#if defined ANDROID || defined IOS //TODO
#include <com/sun/star/lang/XInitialization.hpp>
#include <osl/detail/component-defines.h>
#endif

#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService
extern "C" ::css::uno::XInterface * SAL_CALL LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService(::css::uno::XComponentContext *, ::css::uno::Sequence< ::css::uno::Any > const &);
#endif

namespace theBiasPlanet { namespace unoDatumTypes { namespace spreadSheetCellEditor {

class SpreadSheetCellEditorUnoService {
public:
    static ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::spreadSheetCellEditor::XSpreadSheetCellEditor > create1(::css::uno::Reference< ::css::uno::XComponentContext > const & the_context) {
        assert(the_context.is());
        ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::spreadSheetCellEditor::XSpreadSheetCellEditor > the_instance;
        try {
#if defined LO_URE_CURRENT_ENV && defined LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService && (LO_URE_CURRENT_ENV) == (LO_URE_CTOR_ENV_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService) && defined LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::spreadSheetCellEditor::XSpreadSheetCellEditor >(::css::uno::Reference< ::css::uno::XInterface >(static_cast< ::css::uno::XInterface * >((*LO_URE_CTOR_FUN_theBiasPlanet_dot_unoDatumTypes_dot_spreadSheetCellEditor_dot_SpreadSheetCellEditorUnoService)(the_context.get(), ::css::uno::Sequence< ::css::uno::Any >())), ::SAL_NO_ACQUIRE), ::css::uno::UNO_QUERY);
            ::css::uno::Reference< ::css::lang::XInitialization > init(the_instance, ::css::uno::UNO_QUERY);
            if (init.is()) {
                init->initialize(::css::uno::Sequence< ::css::uno::Any >());
            }
#else
            the_instance = ::css::uno::Reference< ::theBiasPlanet::unoDatumTypes::spreadSheetCellEditor::XSpreadSheetCellEditor >(the_context->getServiceManager()->createInstanceWithArgumentsAndContext( "theBiasPlanet.unoDatumTypes.spreadSheetCellEditor.SpreadSheetCellEditorUnoService", ::css::uno::Sequence< ::css::uno::Any >(), the_context), ::css::uno::UNO_QUERY);
#endif
        } catch (const ::css::uno::RuntimeException &) {
            throw;
        } catch (const ::css::uno::Exception & the_exception) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.spreadSheetCellEditor.SpreadSheetCellEditorUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.spreadSheetCellEditor.XSpreadSheetCellEditor" + ": " + the_exception.Message, the_context);
        }
        if (!the_instance.is()) {
            throw ::css::uno::DeploymentException(::rtl::OUString("component context fails to supply service ") + "theBiasPlanet.unoDatumTypes.spreadSheetCellEditor.SpreadSheetCellEditorUnoService" + " of type " + "theBiasPlanet.unoDatumTypes.spreadSheetCellEditor.XSpreadSheetCellEditor", the_context);
        }
        return the_instance;
    }

private:
    SpreadSheetCellEditorUnoService(); // not implemented
    SpreadSheetCellEditorUnoService(SpreadSheetCellEditorUnoService &); // not implemented
    ~SpreadSheetCellEditorUnoService(); // not implemented
    void operator =(SpreadSheetCellEditorUnoService); // not implemented
};

} } }

#endif // INCLUDED_THEBIASPLANET_UNODATUMTYPES_SPREADSHEETCELLEDITOR_SPREADSHEETCELLEDITORUNOSERVICE_HPP
