#ifndef __theBiasPlanet_unoUtilities_collectionsHandling_UnoSequenceHandler_hpp__
	#define __theBiasPlanet_unoUtilities_collectionsHandling_UnoSequenceHandler_hpp__
	
	#include <list>
	#include <set>
	#include <com/sun/star/uno/Sequence.hxx>
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::uno;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace collectionsHandling {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoSequenceHandler {
					public:
						template <typename T, typename U> static Sequence <T> * fillSequence (Sequence <T> * a_destinationSequence, list <U> const & a_sourceList);
						template <typename T, typename U> static Sequence <T> * fillSequence (Sequence <T> * a_destinationSequence, set <U> const & a_sourceSet);
						template <typename T, typename U> static list <T> * fillList (list <T> * a_destinationList, Sequence <U> const & a_sourceSequence);
						template <typename T> static string toString (Sequence <T> const & a_sequence);
				};
			}
		}
	}
#endif

