#ifndef __theBiasPlanet_unoUtilities_displayElements_UnoDesktop_hpp__
	#define __theBiasPlanet_unoUtilities_displayElements_UnoDesktop_hpp__
	
	#include <list>
	#include <optional>
	#include <com/sun/star/frame/XSynchronousDispatch.hpp>
	#include <com/sun/star/uno/Any.h>
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/displayElements/UnoFrame.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContext/RemoteUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::uno;
	using namespace ::cppu;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContext;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace displayElements {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoDesktop: public UnoFrame {
					private:
						UnoObjectPointer <XSynchronousDispatch> i_fileOpeningDispatcher;
						UnoDesktop (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext);
					public:
						static UnoObjectPointer <UnoDesktop> getInstance (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext);
						virtual ~UnoDesktop ();
						virtual list <UnoObjectPointer <XComponent>> getChildObjects ();
						virtual UnoObjectPointer <XComponent> getChildObject (string const & a_title);
						virtual UnoObjectPointer <XModel> loadUnoDocument (string const & a_url, optional <string> const & a_password, bool const & a_unoDocumentIsHidden);
						virtual UnoObjectPointer <UnoFrame> getCurrentUnoFrame ();
						virtual UnoObjectPointer <XModel> getCurrentDocument ();
						virtual optional <UnoObjectPointer <XModel>> getDocument (string const & a_fileName);
						virtual UnoObjectPointer <XSynchronousDispatch> & getFileOpeningUnoDispatcher ();
				};
			}
		}
	}
#endif

