#ifndef __theBiasPlanet_unoUtilities_displayElements_UnoFrame_hpp__
	#define __theBiasPlanet_unoUtilities_displayElements_UnoFrame_hpp__
	
	#include <list>
	#include <mutex>
	#include <optional>
	#include <com/sun/star/awt/XWindow.hpp>
	#include <com/sun/star/container/XIndexAccess.hpp>
	#include <com/sun/star/frame/XDispatchResultListener.hpp>
	#include <com/sun/star/frame/XFrame.hpp>
	#include <com/sun/star/frame/XNotifyingDispatch.hpp>
	#include <com/sun/star/frame/XStatusListener.hpp>
	#include <cppuhelper/compbase2.hxx>
	#include "theBiasPlanet/unoUtilities/constantsGroups/UnoDispatchSlotsConstantsGroup.hpp"
	#include "theBiasPlanet/unoUtilities/dispatchingHandling/UnoDispatchResultAndRelatedInformation.hpp"
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoComponentBases/UnoComponentBase.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContext/RemoteUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::com::sun::star::awt;
	using namespace ::com::sun::star::container;
	using namespace ::com::sun::star::frame;
	using namespace ::com::sun::star::uno;
	using namespace ::cppu;
	using namespace ::theBiasPlanet::unoUtilities::constantsGroups;
	using namespace ::theBiasPlanet::unoUtilities::dispatchingHandling;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoComponentBases;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContext;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace displayElements {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoFrame: public ImplInheritanceHelper2 <UnoComponentBase, XDispatchResultListener, XStatusListener> {
					private:
						recursive_mutex i_mutex; // 'this' is the owner.
					protected:
						UnoObjectPointer <RemoteUnoObjectsContext> & i_remoteUnoObjectsContext;
						UnoObjectPointer <XFrame> i_underlyingUnoObject;
						UnoObjectPointer <XWindow> i_containerWindow;
						UnoDispatchResultAndRelatedInformation * i_dispatchResultAndRelatedInformation; // 'this' is the owner.
					public:
						UnoFrame (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext, UnoObjectPointer <XFrame> const & a_underlyingUnoObject);
						virtual ~UnoFrame ();
						virtual void SAL_CALL dispatchFinished (DispatchResultEvent const & a_unoDispatchResultEvent) override;
						virtual void SAL_CALL statusChanged (FeatureStateEvent const & a_relatedInformationPieceEvent) override;
						virtual void SAL_CALL disposing (::com::sun::star::lang::EventObject const & a_source) override;
						virtual UnoObjectPointer <RemoteUnoObjectsContext> & getRemoteUnoObjectsContext ();
						virtual UnoObjectPointer <XFrame> & getUnderlyingUnoObject ();
						virtual optional <Rectangle> getBoundary ();
						virtual UnoObjectPointer <XIndexAccess> getChildFramesIterator ();
						virtual optional <list <UnoObjectPointer <UnoFrame>>> getChildFrames ();
						virtual UnoObjectPointer <XNotifyingDispatch> getUnoDispatcher (::com::sun::star::util::URL const & a_urlInURL);
						virtual optional <UnoDispatchResultAndRelatedInformation> fulfill (UnoDispatchSlotsConstantsGroup::BaseUnoDispatchSlot const & a_unoDispatchSlot, optional <list <Any>> const & a_unoDispatchArgumentValues);
				};
			}
		}
	}
#endif

