#ifndef __theBiasPlanet_unoUtilities_documents_UnoTextDocument_hpp__
	#define __theBiasPlanet_unoUtilities_documents_UnoTextDocument_hpp__
	
	#include <com/sun/star/text/XText.hpp>
	#include <com/sun/star/text/XTextDocument.hpp>
	#include <com/sun/star/text/XTextViewCursor.hpp>
	#include "theBiasPlanet/unoUtilities/documents/UnoDocument.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::com::sun::star::text;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace documents {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoTextDocument : public UnoDocument {
					private:
						UnoObjectPointer <XTextDocument> i_unoTextDocument; // 'this' is the owner.
						UnoObjectPointer <XTextViewCursor> i_unoTextViewCursor; // 'this' is the owner.
						UnoObjectPointer <XText> i_unoText; // 'this' is the owner.
					public:
						static UnoTextDocument createDocument (UnoObjectPointer <UnoDesktop> & a_unoDesktop, bool const & a_unoDocumentIsHidden);
						static UnoTextDocument openFile (UnoObjectPointer <UnoDesktop> & a_unoDesktop, string const & a_fileUrl, optional <string> const & a_password, bool const & a_unoDocumentIsHidden);
						static UnoTextDocument getCurrentDocument (UnoObjectPointer <UnoDesktop> & a_unoDesktop);
						UnoTextDocument (UnoObjectPointer <RemoteUnoObjectsContext> & a_remoteUnoObjectsContext, UnoObjectPointer <XModel> && a_unoTextDocument);
						virtual UnoObjectPointer <XTextViewCursor> & getUnoTextViewCursor ();
						virtual bool insertText (string const & a_text);
				};
			}
		}
	}
#endif

