#ifndef __theBiasPlanet_unoUtilities_processesHandling_UnoProcessEnvironment_hpp__
	#define __theBiasPlanet_unoUtilities_processesHandling_UnoProcessEnvironment_hpp__
	
	#include <optional>
	#include <string>
	#include "theBiasPlanet/unoUtilities/pointers/UnoObjectPointer.hpp"
	#include "theBiasPlanet/unoUtilities/unoObjectsContext/LocalUnoObjectsContext.hpp"
	#include "theBiasPlanet/unoUtilities/visualCplusplusSpecificHeaders/VisualCplusplusSpecificDefinitions.hpp"
	
	using namespace ::std;
	using namespace ::theBiasPlanet::unoUtilities::pointers;
	using namespace ::theBiasPlanet::unoUtilities::unoObjectsContext;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace processesHandling {
				class __theBiasPlanet_unoUtilities_symbolExportingOrImportingForVisualCplusplus__ UnoProcessEnvironment {
					private:
						UnoObjectPointer <LocalUnoObjectsContext> i_localObjectsContext; // 'this' is the owner.
						UnoObjectPointer <LocalUnoObjectsContext>  createLocalUnoObjectsContext (string const &  a_identification);
					public:
						//UnoProcessEnvironment (string const & a_identification, optional <string> const & a_servicesSettingFileUrl);
						UnoProcessEnvironment (string const & a_identification);
						virtual ~UnoProcessEnvironment ();
						virtual UnoObjectPointer <LocalUnoObjectsContext> & getLocalObjectsContext () final;
				};
			}
		}
	}
#endif

