#ifndef __theBiasPlanet_unoUtilities_servicesHandling_GlobalUnoServicesProviderUtility_hpp__
	#define __theBiasPlanet_unoUtilities_servicesHandling_GlobalUnoServicesProviderUtility_hpp__
	
	#include <list>
	#include <map>
	#include <string>
	#include <com/sun/star/lang/XMultiServiceFactory.hpp>
	#include <com/sun/star/uno/Sequence.hxx>
	#include <cppuhelper/factory.hxx>
	#include <cppuhelper/implementationentry.hxx>
	#include <rtl/ustring.hxx>
	
	using namespace ::std;
	using namespace ::com::sun::star::lang;
	using namespace ::com::sun::star::registry;
	using namespace ::com::sun::star::uno;
	using namespace ::cppu;
	using namespace ::rtl;
	
	namespace theBiasPlanet {
		namespace unoUtilities {
			namespace servicesHandling {
				class GlobalUnoServicesProviderUtility {
					public:
						class UnoComponentCommonMethods {
							private:
								ComponentFactoryFunc i_createInstanceMethod;
								OUString (* i_getClassNameMethod) ();
								Sequence <OUString> (* i_getUnoServiceNamesMethod) ();
							public:
								UnoComponentCommonMethods (ComponentFactoryFunc a_createInstanceMethod, OUString (* a_getClassNameMethod) (), Sequence <OUString> (* a_getUnoServiceNamesMethod) ());
								ComponentFactoryFunc getCreateInstanceMethod ();
								OUString (* getGetClassNameMethod ()) ();
								Sequence <OUString> (* getGetUnoServiceNamesMethod ()) ();
							
						};
						static void * getSingleUnoComponentInstancesFactory (map <string, UnoComponentCommonMethods> a_unoComponentClassNameToUnoComponentCommonMethodsMap, string a_unoComponentClassName, XMultiServiceFactory * a_unoGlobalServicesManagerInXMultiServiceFactory, XRegistryKey * a_registryKeyInXRegistryKey, ImplementationEntry * a_unoComponentEntries);
				};
			}
		}
	}
#endif

